## gate.util
Class TestRBTreeMap

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.util.TestRBTreeMap

All Implemented Interfaces:
  junit.framework.Test

public class TestRBTreeMap
extends junit.framework.TestCase

Tests for the RBTreeMap class

Field Summary
`private static boolean` `DEBUG` Debug flag
`private RBTreeMap` `myTree`

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestRBTreeMap(String name)` Construction

Method Summary
`void` `setUp()` Create a map with sparse values as keys
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testClosestMatch()`
`void` `testExact()` A test test
`void` `testGetNextOf()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### myTree

    private RBTreeMap myTree

Constructor Detail

### TestRBTreeMap

    public TestRBTreeMap(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Create a map with sparse values as keys
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testExact

    public void testExact()

  A test test

### testClosestMatch

    public void testClosestMatch()

### testGetNextOf

    public void testGetNextOf()

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner